Subject: Re: [PATCH 3/3] mtd: onenand: Enable compile testing of OMAP and Samsung drivers

From: Krzysztof Kozlowski <[email-masked]>
Date: Mon, 13 Jan 2020 08:46:32 +0100

On Thu, Jan 09, 2020 at 04:18:26PM +0100, Miquel Raynal wrote:
> Hi Krzysztof,
> 
> Krzysztof Kozlowski <[email-masked]> wrote on Tue, 31 Dec 2019
> 08:33:39 +0100:
> 
> > On Tue, Dec 31, 2019 at 10:00:48AM +0800, kbuild test robot wrote:
> > > Hi Krzysztof,
> > > 
> > > I love your patch! Perhaps something to improve:
> > > 
> > > [auto build test WARNING on linus/master]
> > > [also build test WARNING on v5.5-rc4 next-20191220]
> > > [if your patch is applied to the wrong git tree, please drop us a note to help
> > > improve the system. BTW, we also suggest to use '--base' option to specify the
> > > base tree in git format-patch, please see https://stackoverflow.com/a/37406982]
> > > 
> > > url:    https://github.com/0day-ci/linux/commits/Krzysztof-Kozlowski/mtd-onenand-samsung-Fix-pointer-cast-Wpointer-to-int-cast-warnings-on-64-bit/20191230-030838
> > > base:   https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git bf8d1cd4386535004c4afe7f03d37f9864c9940e
> > > reproduce:
> > >         # apt-get install sparse
> > >         # sparse version: v0.6.1-129-g341daf20-dirty
> > >         make ARCH=x86_64 allmodconfig
> > >         make C=1 CF='-fdiagnostic-prefix -D__CHECK_ENDIAN__'
> > > 
> > > If you fix the issue, kindly add following tag
> > > Reported-by: kbuild test robot <[email-masked]>
> > >   
> > 
> > It is not related to my patch. I'll fix it up soon.
> 
> I would like this to be fixed before enabling compile testing, is your
> fix read?

Yes, you picked up the fix here:
https://lore.kernel.org/lkml/[email-masked]/

Best regards,
Krzysztof

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel